---
- name: Configure logrotate to handle our custom logs.
  template:
    src: "{{ item.src }}"
    dest: /etc/logrotate.d/{{ item.dest }}
    owner: root
    group: root
    mode: 0644
  with_items:
    - src: ansible-pull.logrotate.j2
      dest: ansible-pull
    - src: dpkg-list.logrotate.j2
      dest: dpkg-list
    - src: pip-freeze.logrotate.j2
      dest: pip-freeze
    - src: hdw-info.logrotate.j2
      dest: hdw-info

- name: copy hdw info script
  copy:
    src: hdw_info.sh
    dest: /usr/local/bin/hdw_info.sh
    mode: '0755'

- name: Copy script to push the log to remote server
  template:
    src: "push_log.sh.j2"
    dest: "/usr/local/bin/push_log.sh"
    mode: '0755'

- name: Copy systemd timer for push_log
  copy:
    src: "{{ item }}"
    dest: "/etc/systemd/system/{{ item }}"
    mode: '0644'
  loop:
    - push_log.service
    - push_log.timer

- name: Enable and start systemd timer for push_log
  systemd:
    name: push_log.timer
    enabled: yes
    state: started
    masked: no
  when: iam_a_master_device.stat.exists|default(False) == False

- name: Remove old cronjob push-log-to-tincmaster
  cron:
    name: "push-log-to-tincmaster"
    cron_file: push-log-to-tincmaster
    state: absent

- name: Ensure Anacron will run on battery
  lineinfile:
    dest: /etc/default/anacron
    regexp: '^ANACRON_RUN_ON_BATTERY_POWER'
    line: 'ANACRON_RUN_ON_BATTERY_POWER=yes'
    state: present
    create: yes
    mode: '0644'
